* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;   
}

:root{
    --lavande: #C3A3D3;
    --bleu_ciel: #859CCE;
    --violet: #22142E;
    --blanc :#FFFFFF;
}

@font-face {
    font-family: "Lemon";
    src: url("../asset/font/Lemon-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "Ubuntu";
    src: url("../asset/font/Ubuntu-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "Unna";
    src: url("../asset/font/Unna-Regular.ttf") format("truetype");
}

/*HEADER*/

.header {
    overflow: hidden;
    background-color: var(--violet);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 85px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    box-shadow: 0px 4px 15px 0px rgba(0, 0, 0, 0.25);
    z-index: 1;
}

.header-right {
    margin-right: 20px;
    float: right;
}

.header a {
    color: var(--lavande);
    text-align: center;
    text-decoration: none;
    font-size: 20px;
    font-family: 'Ubuntu';
    padding: 12px 60px;
}

.header a.logo {
    margin-right: 20px;
    width: 60px;
    height: 60px; 
    background: url('../asset/img/butterfly.png') no-repeat;
    background-size: contain;
    border-radius: 282px;
    padding: 0;
}


.header a:hover {
    background-color: transparent;
    color: var(--bleu_ciel);
    text-decoration-line: underline;
}

.header a.active {
    background-color: transparent;
    color: var(--bleu_ciel);
    text-decoration-line: underline;
}

.header-right {
    float: right;
}

@media screen and (max-width: 850px) {
    .header {
        flex-direction: column;
        align-items: center;
        height: auto;
    }

    .header a {
        display: block;
        padding: 10px 0;
        text-align: center;
    }

    .header-right {
        float: none;
    }
}

@media screen and (min-width: 600px) and (max-width: 850px)  {
    .intro h1 {
        font-size: 20px;
    }
}

@media screen and (max-width: 600px) {
    .intro h1 {
        font-size: 20px;
    }
    p {
        font-size: 20px !important;
    }

    .grid-container{
        grid-template-columns: 1fr !important;
    }
}

/*BODY*/

body {
    background-color: var(--violet);
    position: relative;
}

.all{
    padding-bottom: 30px;
}

/* INTRODUCTION */

.intro {
    width: 100%;
    max-width: 100%;
    height: 250px;
    margin-top: 85px;
    background-image: url('../asset/img/pic.png');
    background-size: cover;
    background-position: center;
}

.intro::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%; 
    height: 250px; 
    background: inherit;
}

.speech{ 
    color: #fff;
    padding-right: 30%;
    margin-top: 6%;
    margin-left: 6%;
    margin-bottom: 4%;
}

.speech h1{ 
    color: #fff;
    font-family: 'Lemon';
    font-size: 40px;
    margin: 30px;
}

.speech p{ 
    color: #fff;
    font-family: 'Unna';
    font-size: 25px;
    margin-left: 50px;
}

/* LAYOUT GRID */
.grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    justify-content: center;
    align-items: center;
}

.lignOne,
.lignTwo {
    text-align: center;
    padding: 20px;
    border-radius: 10px;
}

/* STYLES POUR TITRES ET DESCRIPTIONS */
.lignOne .title,
.lignTwo .title {
    font-family: 'Lemon';
    color: white;
    font-size: 20px;
    margin: 10px;
}

.lignOne .description,
.lignTwo .description {
    color: #FFFFFF;
    font-family: 'Unna';
    font-size: 25px;
}

.description a img{
    width: 40px;
    height: 40px;
    margin: 1%
}



/*FOOTER*/
.footer {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 20px 0;
    color: #fff;
    background: #150C1C;
    box-shadow: 0px -4px 100px 0px rgba(0, 0, 0, 0.25);
    text-align: center;
}
